summaryrefslogtreecommitdiffstats
path: root/configure
diff options
context:
space:
mode:
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure18
1 files changed, 18 insertions, 0 deletions
diff --git a/configure b/configure
new file mode 100755
index 000000000..81e2001e4
--- /dev/null
+++ b/configure
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+script="$(dirname $0)"/src/bootstrap/configure.py
+
+try() {
+ cmd=$1
+ shift
+ T=$($cmd --version 2>/dev/null)
+ if [ $? -eq 0 ]; then
+ exec $cmd "$script" "$@"
+ fi
+}
+
+try python3 "$@"
+try python2.7 "$@"
+try python27 "$@"
+try python2 "$@"
+exec python $script "$@"